[jdom-interest] support for parsers other than xerces

Taylor , Patrick ptaylor at rational.com
Wed Feb 7 20:42:32 PST 2001

I'm confused about which parsers JDOM supports.
I can't find an answer in the FAQ or the list archives.

It seems like the JDOM FAQ (http://www.jdom.org/docs/faq.html)
is saying that JDOM will only work with Xerces (under "What's wrong?")
because other parsers "support DOM Level 1 and SAX 1.0, not the
required DOM Level 2 and SAX 2.0".  However, the org.jdom.adapters
package contains ProjectXDOMAdapter and CrimsonDOMAdapter, which
suggests that they are supported.

So which is it?  Is Project X (Sun's parser included with the JAXP
distribution) supported by JDOM or not?  Does JDOM only support the
latest JAXP 1.1 early access version, which supposedly supports the
latest DOM/SAX specs?

Patrick Taylor 
Software Engineer 
Requirements Management Business Unit 
Rational Software 
Boulder, Colorado USA 
R  a  t  i  o  n  a  l 
   the e-development company 

More information about the jdom-interest mailing list